- if any_form_based_providers_enabled?
  - if crowd_enabled?
    .login-box.tab-pane{ id: "crowd", role: 'tabpanel', class: active_when(form_based_auth_provider_has_active_class?(:crowd)) }
      .login-body
        = render 'devise/sessions/new_crowd'

  = render_if_exists 'devise/sessions/new_kerberos_tab'

  - ldap_servers.each_with_index do |server, i|
    .login-box.tab-pane{ id: "#{server['provider_name']}", role: 'tabpanel', class: active_when(i == 0 && form_based_auth_provider_has_active_class?(:ldapmain)) }
      .login-body
        = render 'devise/sessions/new_ldap', server: server

  = render_if_exists 'devise/sessions/new_smartcard'

  - if password_authentication_enabled_for_web?
    .login-box.tab-pane{ id: 'login-pane', role: 'tabpanel' }
      .gl-p-5
        %button{ 'type' => 'button', 'data-toggle' => 'collapse', 'data-target' => '#externals-login',
              'aria-expanded' => 'false', 'aria-controls' => 'externals-login',
              'class' => 'btn gl-button btn-default gl-my-5 gl-w-full' } Sign in with external access
      .login-body.collapse#externals-login
        = render 'devise/sessions/new_base'

- elsif password_authentication_enabled_for_web?
  .login-box.tab-pane.active{ id: 'login-pane', role: 'tabpanel' }
    .gl-p-5
      %button{ 'type' => 'button', 'data-toggle' => 'collapse', 'data-target' => '#externals-login',
            'aria-expanded' => 'false', 'aria-controls' => 'externals-login',
            'class' => 'btn gl-button btn-default gl-my-5 gl-w-full' } Sign in with external access
    .login-body.collapse#externals-login
      = render 'devise/sessions/new_base'
